
package de.ivu.elect.presentation.wahl.exchange;

import de.ivu.elect.business.exchange.entity.DateiImportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.exchange.ImportOptions;
import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.wahl.menu.WahlPageMenu;

public class WahlImportDescription implements ImportDescription {

  private static final long serialVersionUID = 1L;

  @Override
  public String getImportSearchViewId() {
    return AbstractWahlImportSearchView.VIEW_ID;
  }

  @Override
  public String getImportFormatFestlegenViewId() {
    return AbstractWahlImportFormatFestlegenView.VIEW_ID;
  }

  @Override
  public String getImportBestaetigenViewId() {
    return AbstractWahlImportBestaetigenView.VIEW_ID;
  }

  @Override
  public DateiImportArt getDateiImportArt() {
    return DateiImportArt.WAHL_IMPORT;
  }

  @Override
  public boolean isConfirmationForImportNeeded() {
    return false;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.WAHL_IMPORTIEREN;
  }

  @Override
  public boolean isSpecificPerWahlOrWahltermin() {
    return false;
  }

  @Override
  public String getPageMenuComponentName() {
    return WahlPageMenu.COMPONENT_NAME;
  }

  @Override
  public ImportOptions getDefaultImportOptions() {
    return ImportOptions.NEUE_DATEN_ANLEGEN_BESTEHENDE_DATEN_UNVERAENDERT_LASSEN;
  }
}
